From c9bbbeab2fcd6acf6e5ec46782f5aae365370034 Mon Sep 17 00:00:00 2001
From: Kevin Redon <kevredon@mail.tsaitgaist.info>
Date: Sat, 2 Nov 2013 18:15:54 +0100
Subject: [PATCH 2/7] added header to access COMP128v23 functions

---
 include/osmocom/gsm/comp128v23.h | 24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100644 include/osmocom/gsm/comp128v23.h

diff --git a/include/osmocom/gsm/comp128v23.h b/include/osmocom/gsm/comp128v23.h
new file mode 100644
index 0000000..50cbcb9
--- /dev/null
+++ b/include/osmocom/gsm/comp128v23.h
@@ -0,0 +1,24 @@
+/*
+ * COMP128v23 header
+ *
+ * See comp128v23.c for details
+ */
+
+#ifndef __COMP128v23_H__
+#define __COMP128v23_H__
+
+#include <stdint.h>
+
+/*
+ * Performs the COMP128 version 2 and 3 algorithm (used as A3/A8)
+ * ki    : uint8_t [16]
+ * srand : uint8_t [16]
+ * version : uint8_t (2 or 3)
+ * sres  : uint8_t [4]
+ * kc    : uint8_t [8]
+ * returns 1 if not version 2 or 3 specified
+ */
+int comp128v23(const uint8_t *ki, const uint8_t *rand, uint8_t version, uint8_t *sres, uint8_t *kc);
+
+#endif /* __COMP128v23_H__ */
+
-- 
1.8.4.2

